如何更换 RTC 或 Call 依赖的 IM SDK 为新仓库

更换 rong_im_plugin 为 rongcloud_im_wrapper_plugin
发布时间: 2022-09-06 09:31

回答:

1. 先本地依赖 RTC 或 Call 的 SDK, 参考 https://support.rongcloud.cn/ks/MTM2OA==


2. 打开 SDK 根目录的 `pubspec.yaml` 文件


替换 `rongcloud_im_plugin: 5.1.8+6` 为 `rongcloud_im_wrapper_plugin: ^5.2.4`


3. 修改 RTC 或 Call 的原生版本为 5.2.4,参考 https://support.rongcloud.cn/ks/MTM2OA==


4. 修改 IM 的依赖版本为 5.2.4,参考 https://support.rongcloud.cn/ks/MTM2OA==